unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var Przycisk :TButton;
begin
Przycisk:=TButton.Create(Form1);
Przycisk.Width:=110;
Przycisk.Left:=X;
Przycisk.Top:=Y;
Przycisk.Enabled:=False;
case Button of
     mbLeft: Przycisk.Caption:='Lewy';
     mbRight: Przycisk.Caption:='Prawy';
     mbMiddle: Przycisk.Caption:='Środk.';
     end;
Przycisk.Caption:=Przycisk.Caption+' ('+IntToStr(X)+','+IntToStr(Y)+')';
Przycisk.Parent:=Form1;
end;

end.
